#pragma once


#include "./utils/vector.h"
#include "./utils/matrix.h"


namespace numerics{
	

	template <typename T>
	void inplace_log(T a){
		a = std::log(a);
	}

	template <typename T>
	T log(const T a){
		T b = a;
		inplace_log(b);
		return b;
	}


} // namespace numerics

